## bespin 0.r1552+nmu1

=== CMakeLists.txt ===
project(bespin)
cmake_minimum_required(VERSION 2.4)

add_definitions( ${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} -DQT3_SUPPORT )

set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )
if(WIN32)
    set(CMAKE_DEBUG_POSTFIX "d")
#     add_definitions("-D_CRT_SECURE_NO_WARNINGS")
endif(WIN32)

option(ENABLE_ARGB "Enable translucent windows" ON)
option(ENABLE_KDE "Enable Bespin support for KDE4" ON)
option(ENABLE_KWIN "Build Bespin KWin decoration" ON)
option(ENABLE_XBAR "Enable the XBar plasmoid (Mac-Alike-Menubar)" ON)
option(ENABLE_474_SHADOWS "Enable shadows with variable pixmap size (requires KWin >= 4.7.4)" ON)

if (ENABLE_KDE)
    find_package(KDE4)
endif (ENABLE_KDE)

if (ENABLE_ARGB)
    message (STATUS "WARNING: *** ARGB windows are experimental, performance might suffer ***")
    add_definitions ( -DBESPIN_ARGB_WINDOWS=1 )
else (ENABLE_ARGB)
    add_definitions ( -DBESPIN_ARGB_WINDOWS=0 )
endif (ENABLE_ARGB)

if (ENABLE_474_SHADOWS)
    message (STATUS "WARNING: *** Variable shadow pixmap sizes will cause glitches on KWin < 4.7.4 and OpenGL ***")
    add_definitions ( -DVARYING_SHADOWS=1 )
else (ENABLE_474_SHADOWS)
    add_definitions ( -DVARYING_SHADOWS=0 )
endif (ENABLE_474_SHADOWS)

find_package(X11)

# add_definitions (-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

if (KDE4_FOUND)
   include (KDE4Defaults)
   include (MacroLibrary)
   add_definitions ( ${KDE4_DEFINITIONS} )
   include_directories (${KDE4_INCLUDES})
else (KDE4_FOUND)
   message (STATUS "WARNING: *** KDE4 not found, just the style will be built ***")
   set (QT_MIN_VERSION "4.4.0")
   find_package (Qt4 REQUIRED)
   include (UseQt4)
   set (CMAKE_INCLUDE_CURRENT_DIR ON)
endif (KDE4_FOUND)

add_subdirectory (blib)

add_definitions ( -DBLIB_EXPORT=Q_DECL_IMPORT )

#set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")

# set (bespin_SOURCES animator/basic.cpp animator/aprogress.cpp animator/hover.cpp
# animator/hoverindex.cpp animator/hovercomplex.cpp animator/tab.cpp
# bespin.cpp buttons.cpp docks.cpp frames.cpp genpixmaps.cpp hacks.cpp init.cpp
# input_ng.cpp macmenu.cpp menus.cpp pixelmetric_ng.cpp polish.cpp progress_ng.cpp qsubcmetrics_ng.cpp
# scrollareas_ng.cpp indicators.cpp sizefromcontents.cpp slider_ng.cpp stdpix.cpp stylehint.cpp
# tabbing_ng.cpp toolbars.cpp views.cpp visualframe.cpp window.cpp )

set (bespin_SOURCES animator/basic.cpp animator/aprogress.cpp animator/hover.cpp
animator/hoverindex.cpp animator/hovercomplex.cpp animator/tab.cpp
bespin.cpp buttons.cpp docks.cpp frames.cpp genpixmaps.cpp hacks.cpp init.cpp
input.cpp menus.cpp pixelmetric.cpp polish.cpp progress.cpp qsubcmetrics.cpp
scrollareas.cpp indicators.cpp sizefromcontents.cpp slider.cpp stdpix.cpp stylehint.cpp
tabbing.cpp toolbars.cpp views.cpp visualframe.cpp window.cpp )

set (bespin_HDRS animator/basic.h animator/aprogress.h animator/hover.h
animator/hoverindex.h animator/tab.h config.h draw.h hacks.h splitterproxy.h visualframe.h bespin.h types.h)


file(GLOB bespin_HDRS *.h)
list(APPEND bespin_HDRS animator/basic.h animator/aprogress.h animator/hover.h animator/hoverindex.h animator/hovercomplex.h animator/tab.h)

# if ( X11_FOUND )
#     set (bespin_SOURCES ${bespin_SOURCES} lib/xproperty.cpp)
# endif ( X11_FOUND )

set (bespin_MOC_HDRS animator/basic.h animator/aprogress.h animator/hover.h
animator/hoverindex.h animator/tab.h bespin.h visualframe.h hacks.h)

if(QT_QTDBUS_FOUND)
    message (STATUS "QtDbus available - Style will support XBar")
    set (bespin_MOC_HDRS ${bespin_MOC_HDRS} macmenu.h macmenu-dbus.h)
    set (bespin_HDRS ${bespin_HDRS} macmenu.h macmenu-dbus.h)
    set (bespin_HDRS ${bespin_SOURCES} macmenu.cpp)
else(QT_QTDBUS_FOUND)
    message (STATUS "WARNING: *** QtDBus  not found ***\n   ---> No KWin deco and no XBar for you")
    set (ENABLE_KWIN OFF)
    set (ENABLE_XBAR OFF)
    add_definitions ( -DQT_NO_DBUS )
endif(QT_QTDBUS_FOUND)

qt4_wrap_cpp(bespin_MOC_SRCS ${bespin_MOC_HDRS})

add_library (bespin SHARED ${bespin_SOURCES} ${bespin_MOC_SRCS} ${bespin_HDRS})


target_link_libraries(bespin QtBespin ${QT_QTDBUS_LIBRARY} ${QT_QT3SUPPORT_LIBRARY})
if ( X11_FOUND )
   target_link_libraries(bespin ${X11_LIBRARIES})
endif( X11_FOUND )
if (X11_Xrender_FOUND)
   target_link_libraries(bespin ${X11_Xrender_LIB})
endif (X11_Xrender_FOUND)

if(WIN32)
    install (TARGETS bespin DESTINATION ${QT_PLUGINS_DIR}/styles)
else(WIN32)
    install (TARGETS bespin LIBRARY DESTINATION ${QT_PLUGINS_DIR}/styles)
endif(WIN32)

add_subdirectory (config)

if (KDE4_FOUND)
    install (FILES bespin.themerc DESTINATION ${DATA_INSTALL_DIR}/kstyle/themes)
    if (X11_Xrender_FOUND)
        if(ENABLE_KWIN)
            add_subdirectory (kwin)
        else(ENABLE_KWIN)
            message (STATUS "WARNING: *** KWin decoration will not be built ***")
        endif(ENABLE_KWIN)
    endif (X11_Xrender_FOUND)
    if ( X11_FOUND )
        if(ENABLE_XBAR)
            add_subdirectory (XBar)
        else(ENABLE_XBAR)
            message (STATUS "WARNING: *** XBar plasmoid will not be built ***")
        endif(ENABLE_XBAR)
    endif ( X11_FOUND )
endif (KDE4_FOUND)

=== XBar/CMakeLists.txt ===
project(plasma-xbar)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)

if (KDE_VERSION_MINOR LESS 2 AND KDE_VERSION_RELEASE LESS 96)
    message("(Harmless) note:\nYou're about to compile for the unstable Plasma ABI.\nUse KDE4.2 or above if you want this to be binary compatible for future releases\n\n")
    find_package(Plasma REQUIRED)
endif()

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions ( -DBLIB_EXPORT=Q_DECL_IMPORT )
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${PLASMA_INCLUDE_DIR})

set(xbar_SRCS menubar.cpp xbar.cpp)

kde4_add_plugin(plasma_applet_xbar ${xbar_SRCS})
if (KDE_VERSION_MINOR LESS 2 AND KDE_VERSION_RELEASE LESS 96)
    target_link_libraries(plasma_applet_xbar QtBespin kworkspace ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${PLASMA_LIBS} QtXml ${KDE4_KIO_LIBS} X11 )
else()
    target_link_libraries(plasma_applet_xbar QtBespin kworkspace ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_PLASMA_LIBS} QtXml ${KDE4_KIO_LIBS} X11 )
endif()

install(TARGETS plasma_applet_xbar DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-xbar.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== blib/CMakeLists.txt ===
project(QtBespin)

add_definitions( ${QT_DEFINITIONS} )

set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

find_package(X11)

# add_definitions (-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

set (QT_MIN_VERSION "4.3.0")
find_package (Qt4 REQUIRED)
include (UseQt4)
set (CMAKE_INCLUDE_CURRENT_DIR ON)

add_definitions ( -DBLIB_EXPORT=Q_DECL_EXPORT )

#set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")

set (QtBespin_SOURCES colors.cpp dpi.cpp elements.cpp FX.cpp gradients.cpp shapes.cpp tileset.cpp shadows.cpp)

if ( X11_FOUND )
    set (QtBespin_SOURCES ${QtBespin_SOURCES} xproperty.cpp)
endif ( X11_FOUND )

if (X11_Xrender_FOUND)
   message (STATUS "INFO: XRender was found - kwin deco & FX via GPU available!")
endif (X11_Xrender_FOUND)

add_library (QtBespin SHARED ${QtBespin_SOURCES})


target_link_libraries(QtBespin  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

if ( X11_FOUND )
    target_link_libraries(QtBespin ${X11_LIBRARIES})
endif( X11_FOUND )
if (X11_Xrender_FOUND)
    target_link_libraries(QtBespin ${X11_Xrender_LIB})
endif (X11_Xrender_FOUND)

if(WIN32)
    install (TARGETS QtBespin DESTINATION ${QT_BINARY_DIR})
else(WIN32)
    install (TARGETS QtBespin LIBRARY DESTINATION ${LIB_INSTALL_DIR})
endif(WIN32)

=== config/CMakeLists.txt ===
# the exec config tool

# ADD_DEPENDENCIES(bespin bespin_config)
# ADD_DEPENDENCIES(kstyle_bespin_config bespin_config)

# project (bespin-config)
# add_definitions ( -DB_EXPORT=Q_DECL_EXPORT )

set (bespin_config_SOURCES bconfig.cpp config.cpp kdeini.cpp)

qt4_add_resources (bespin_config_SOURCES)
qt4_wrap_ui (bespin_config_FRM_HDRS config.ui)

set (bespin_config_MOC_HDRS bconfig.h config.h dialog.h)
qt4_wrap_cpp(bespin_config_MOC_SRCS ${bespin_config_MOC_HDRS})

# add_library(bespin_config STATIC ${bespin_config_SOURCES} ${bespin_config_MOC_SRCS}  ${bespin_config_FRM_HDRS})

#--------------------------------------------------------

if(WIN32)
set(BESPIN_CONFIG bespin_cfg)
else()
set(BESPIN_CONFIG bespin)
endif()

project (${BESPIN_CONFIG})

# add_definitions ( -DB_EXPORT=Q_DECL_IMPORT )
qt4_wrap_ui (bespin_demo_FRM_HDRS uiDemo.ui)
add_executable (${BESPIN_CONFIG} main.cpp ${bespin_config_SOURCES} ${bespin_config_MOC_SRCS}  ${bespin_config_FRM_HDRS} ${bespin_demo_FRM_HDRS})
target_link_libraries (${BESPIN_CONFIG} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
if(WIN32)
    install (TARGETS ${BESPIN_CONFIG} DESTINATION ${QT_BINARY_DIR})
else(WIN32)
    SET_TARGET_PROPERTIES(${BESPIN_CONFIG} PROPERTIES OUTPUT_NAME "bespin")
    install (TARGETS ${BESPIN_CONFIG} DESTINATION bin)
endif(WIN32)

#--------------------------------------------------------

# the kcmstyle plugin, in case
if (KDE4_FOUND)

project (kstyle-bespin-config)
# add_definitions ( -DB_EXPORT=Q_DECL_IMPORT )
kde4_add_plugin (kstyle_bespin_config ${bespin_config_SOURCES} ${bespin_config_FRM_HDRS} )
target_link_libraries (kstyle_bespin_config ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
install (TARGETS kstyle_bespin_config DESTINATION ${PLUGIN_INSTALL_DIR})
   
endif (KDE4_FOUND)

=== kwin/CMakeLists.txt ===
project (kwin3-bespin)

set (KWIN_HEADER_FOUND true )

find_file(KDECORATION_H kdecoration.h ${KDE4_INCLUDES})
if (KDECORATION_H)
    MESSAGE( STATUS "KWin headers found" )
else()
    MESSAGE( "WARNING: KWin headers NOT found, compiling the decoration might fail.\n\n  -> Ensure you've installed the kdebase[-workspace]-dev package" )
endif()

set (kwin3_bespin_SOURCES button.cpp client.cpp resizecorner.cpp factory.cpp )
# kde4_add_plugin automocs, so either use automoc or postcompile rename
# set (kwin3_bespin_MOC_HDRS button.h client.h resizecorner.h)
# qt4_wrap_cpp(kwin3_bespin_MOC_SRCS ${kwin3_bespin_MOC_HDRS})

kde4_add_plugin (kwin3_bespin ${kwin3_bespin_SOURCES})
target_link_libraries (kwin3_bespin QtBespin ${KDE4_KDEUI_LIBS} kdecorations ${X11_LIBRARIES} ${X11_Xrender_LIB})
install (TARGETS kwin3_bespin DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES bespin.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin)


project (kwin-bespin-config)
set (kwin_bespin_config_SOURCES ../config/bconfig.cpp ../config/kdeini.cpp config.cpp)
qt4_wrap_ui (kwin_bespin_config_FRM_HDRS configdialog.ui)
kde4_add_plugin (kwin_bespin_config ${kwin_bespin_config_SOURCES} ${kwin_bespin_config_FRM_HDRS})
target_link_libraries (kwin_bespin_config ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDEUI_LIBS})
install (TARGETS kwin_bespin_config DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
bespin (0.r1552+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Use a version number that is compatible with 3.0 (native) (Closes: 724180)
  * Rebuild for new kde-workspace

 -- Peter Michael Green <plugwash@debian.org>  Wed, 27 Nov 2013 01:13:06 +0000

bespin (0.r1552-1) unstable; urgency=low

  * New release SVN@1552 
  * Upload to unstable 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 24 Jun 2012 15:40:58 +0530

bespin (0.r1501-1) experimental; urgency=low

  * Initial release SVN@1501 (Closes: #651091)
  * Fix debian/copyright with license details 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 07 May 2012 09:54:57 +0530

=== debian/control ===
Source: bespin
Section: kde
Priority: extra
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>= 4.4), kdelibs-bin, cmake, kdelibs5-dev, kdebase-workspace-dev, libx11-dev, libxrender-dev, libxext-dev, imagemagick, inkscape, git
Standards-Version: 3.9.3
Homepage: http://cloudcity.sourceforge.net
Bugs: http://sourceforge.net/tracker/?atid=976907&group_id=201276&func=browse
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bespin.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bespin.git

Package: kde-style-bespin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdm-theme-bespin, ksplash-theme-bespin
Conflicts: kde4-style-bespin, kwin4-style-bespin, plasma-widget-xbar
Description: very glossy Qt4/KDE4 window decoration
 Bespin is a window decoration for KDE4, the name is nothing about quantum
 mechanics, but just refers to cloud city (StarWars Episode V: The Empire
 Strikes Back)

Package: kdm-theme-bespin
Architecture: all
Suggests: kde-style-bespin
Depends: ${misc:Depends}
Description: very glossy Qt4/KDE4 kdm theme
 Bespin is a window decoration for KDE4, the name is nothing about quantum
 mechanics, but just refers to cloud city (StarWars Episode V: The Empire
 Strikes Back)
 .
 This package includes the kdm theme for Bespin

Package: kdm-theme-aperture
Architecture: all
Suggests: kde-style-bespin
Depends: ${misc:Depends}
Description: very glossy Qt4/KDE4 kdm theme - aperture variant
 Bespin is a window decoration for KDE4, the name is nothing about quantum
 mechanics, but just refers to cloud city (StarWars Episode V: The Empire
 Strikes Back)
 .
 This package includes the kdm theme for Bespin - Aperture variant

Package: kdm-theme-tibanna
Architecture: all
Suggests: kde-style-bespin
Depends: ${misc:Depends}
Description: very glossy Qt4/KDE4 kdm theme - tibanna variant
 Bespin is a window decoration for KDE4, the name is nothing about quantum
 mechanics, but just refers to cloud city (StarWars Episode V: The Empire
 Strikes Back)
 .
 This package includes the kdm theme for Bespin - Tibanna variant

Package: ksplash-theme-bespin
Architecture: all
Suggests: kde-style-bespin
Depends: ${misc:Depends}
Description: very glossy Qt4/KDE4 ksplash theme
 Bespin is a window decoration for KDE4, the name is nothing about quantum
 mechanics, but just refers to cloud city (StarWars Episode V: The Empire
 Strikes Back)
 .
 This package includes the ksplash theme for Bespin

Package: ksplash-theme-tibanna
Architecture: all
Suggests: kde-style-bespin
Depends: ${misc:Depends}
Description: very glossy Qt4/KDE4 ksplash theme - tibanna variant
 Bespin is a window decoration for KDE4, the name is nothing about quantum
 mechanics, but just refers to cloud city (StarWars Episode V: The Empire
 Strikes Back)
 .
 This package includes the ksplash theme for Bespin - Tibanna variant

Package: ksplash-theme-aperture
Architecture: all
Suggests: kde-style-bespin
Depends: ${misc:Depends}
Description: very glossy Qt4/KDE4 ksplash theme - aperture variant
 Bespin is a window decoration for KDE4, the name is nothing about quantum
 mechanics, but just refers to cloud city (StarWars Episode V: The Empire
 Strikes Back)
 .
 This package includes the ksplash theme for Bespin - aperture variant

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS
export install_dir="debian/kde-style-bespin"

%:
	dh $@ --parallel


override_dh_auto_configure:
	test -d build || mkdir build
	cd build && ln -sf ../debian && cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` -DCMAKE_BUILD_TYPE=Release ..

override_dh_auto_build:
	test -d build || exit 1
	cd build; $(MAKE)

	cd ksplash/bespin; ./generate.sh 1024 768; ./generate.sh 1280 1024; ./generate.sh 1366 768; \
	./generate.sh 1440 900; ./generate.sh 1600 1200; ./generate.sh 1920 1080;

	cd ksplash/aperture; ./generate.sh 1024 768; ./generate.sh 1280 1024; ./generate.sh 1366 768; \
	./generate.sh 1440 900; ./generate.sh 1600 1200; ./generate.sh 1920 1080;

	cd ksplash/tibanna; ./generate.sh 1024 768; ./generate.sh 1280 1024; ./generate.sh 1366 768; \
	./generate.sh 1440 900; ./generate.sh 1600 1200; ./generate.sh 1920 1080;

override_dh_auto_install:
	test -d build || exit 1
	cd build; $(MAKE) DESTDIR=$(install_dir) install
	install -D -m 0644 debian/bespin.lintian $(install_dir)/usr/share/lintian/overrides/bespin

## bespin 0.r1552+nmu1build1

=== debian/changelog ===
bespin (0.r1552+nmu1build1) utopic; urgency=medium

  * No change rebuild for new kde-workspace

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2014 08:58:46 -0400
